PayZuDocs

Refunds a received Pix, in full or in part, and confirms completion by webhook.

Confira nosso tutorial
POSThttps://api.payzu.processamento.com/v1/refund/{transactionId}
POST
/refund/{transactionId}

Path Params

ID of the transaction to refund.

Body Params

Responses

curl -X POST "https://api.payzu.processamento.com/v1/refund/PAYZU20260814T6NX1CV9MK000000" \  -H "Authorization: Bearer {{token}}" \  -H "Content-Type: application/json" \  -d '{}'
{
"id": "PAYZU20260810JD4WQ2R7ZB000000",
"status": "COMPLETED",
"amount": 100,
"type": "DEPOSIT",
"method": "PIX",
"qrCodeText": null,
"qrCodeBase64": null,
"qrCodeUrl": null,
"generatedName": "Fulano de Tal",
"generatedDocument": "12345678901",
"generatedEmail": null,
"payerName": "Fulano de Tal",
"payerDocument": "12345678901",
"payerInstitutionIspb": "12345678",
"payerInstitutionName": "Banco X",
"payerAccountNumber": null,
"serviceFeeCharged": 1.5,
"withdrawPixKey": null,
"withdrawPixType": null,
"receiverName": "Loja Exemplo",
"receiverDocument": "11222333000181",
"receiverInstitutionIspb": "00000000",
"receiverInstitutionName": "PayZu",
"receiverAccountNumber": "000000",
"endToEndId": "E12345678202508101200abcdef01234",
"clientReference": "pedido-42",
"refundEndToEndId": null,
"refundAmount": 30.5,
"refundStatus": "PENDING",
"refundReason": "CUSTOMER_REQUEST",
"refundDescription": "Devolução parcial",
"refundedAt": null,
"cancellationReason": null,
"paidAt": "2025-08-10T12:00:00.000Z",
"createdAt": "2025-08-10T11:59:00.000Z",
"updatedAt": "2026-08-11T09:00:00.000Z"
}